POOLTYPE(1)

NAME
pooltype - display a WEB pool file

SYNOPSIS
pooltype pool_file

DESCRIPTION
The pooltype program translates a (program-oriented) string pool file from a WEB (.web) literate program to a (human-oriented) text file. Such string pool files are written by tangle(1) when the WEB source uses the double-quoted string feature, as tex(1) and mf(1) do.

The pool_file name must be complete; no adding of default extensions or path searching is done.

OPTIONS
See tex(1) for details of command-line parsing.

The standard -help and -version options are also supported.

BUGS
Finding the correct pool file for a given binary turned out to be a rather unreliable operation. In 2008, Taco Hoekwater and others changed all the engines to compile the strings in the binary as part of the compilation. So nowadays there are no pool files on which to run pooltype, apart from the compilation build directory.

SEE ALSO
tangle(1).

Package page on CTAN: https://ctan.org/pkg/pooltype
Section in the Web2c manual: https://tug.org/texinfohtml/web2c.html#pooltype-invocation
Typeset source code, including the string pool file format description: https://ctan.org/pkg/knuth-pdf

AUTHORS
Donald E. Knuth wrote the program and originally ported it to Unix. It was published as part of the TeXware technical report from Stanford.

Public discussion list and bug reports: https://lists.tug.org/tex-k